#!/bin/bash
# Copyright (C) 2009-2013 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of datasid
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

build_dir="build"
agent_dir="agent"

case "$1" in
    -t|--test)
        cp "${agent_dir}/conf/datasid.conf" "/tmp/datasid.conf"
        sed "s/WEBSERVICE=\"http:\/\/simmc.c3sl.ufpr.br\/axis2\/services\/DataSID\"\
/WEBSERVICE=\"http:\/\/simmcdev.c3sl.ufpr.br\/axis2\/services\/DataSID\"/g" \
        "/tmp/datasid.conf" > "${agent_dir}/conf/datasid.conf"
    ;;    
esac

cd "${build_dir}"
sudo bash env-manager.sh --no-confirm delete
sudo bash env-manager.sh --no-confirm create
sudo bash env-manager.sh --no-confirm mount
sudo bash env-manager.sh --no-confirm shell << EOF
cd /home/user/build/agent
sudo -u user /bin/bash autobuild.sh
EOF
cd -

if [ -f "/tmp/datasid.conf" ]; then
    mv "/tmp/datasid.conf" "${agent_dir}/conf/"
fi
